<?php

namespace App\Classes\Modules\Currencies\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;
use App\Classes\ValueObjects\Constants\PaymentMethodType;

class RateObject implements DataTransferObject
{

    /** @var array */
    private $selling;

    /** @var array */
    private $payment_method_type;

    /**
     * RateObject constructor.
     * @param array $selling
     * @param string $payment_method_type
     */
    public function __construct(array $selling, string $payment_method_type)
    {
        $this->selling = $selling;
        $this->payment_method_type = $payment_method_type;
    }

    /**
     * @return array
     */
    public function getSelling(): array
    {
        return $this->selling;
    }

    /**
     * @return int
     */
    public function getPaymentMethodType(): int
    {
        return PaymentMethodType::PAYMENT_METHODS[$this->payment_method_type];
    }


}